AlmaLinux 2227 Published by

A nodejs and nodejs-nodemon security, bug fix, and enhancement update has been released for AlmaLinux 9.



ALSA-2023:2655 Moderate: nodejs and nodejs-nodemon security, bug fix, and enhancement update


Type:
security

Severity:
moderate

Release date:
2023-05-11

Description
The following packages have been upgraded to a later upstream version: nodejs (16.19.1), nodejs-nodemon (2.0.20).
Security Fix(es):
* c-ares: buffer overflow in config_sortlist() due to missing string length check (CVE-2022-4904)
* http-cache-semantics: Regular Expression Denial of Service (ReDoS) vulnerability (CVE-2022-25881)
* Node.js: Permissions policies can be bypassed via process.mainModule (CVE-2023-23918)
* Node.js: Fetch API did not protect against CRLF injection in host headers (CVE-2023-23936)
* Node.js: insecure loading of ICU data through ICU_DATA environment variable (CVE-2023-23920)
* Node.js: Regular Expression Denial of Service in Headers fetch API (CVE-2023-24807)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
RHSA-2023:2655
CVE-2022-25881
CVE-2022-4904
CVE-2023-23918
CVE-2023-23920
CVE-2023-23936
CVE-2023-24807
ALSA-2023:2655

Updates packages:
nodejs-libs-16.19.1-1.el9_2.i686.rpm
nodejs-docs-16.19.1-1.el9_2.noarch.rpm
nodejs-16.19.1-1.el9_2.aarch64.rpm
nodejs-full-i18n-16.19.1-1.el9_2.aarch64.rpm
nodejs-libs-16.19.1-1.el9_2.aarch64.rpm
npm-8.19.3-1.16.19.1.1.el9_2.aarch64.rpm
nodejs-libs-16.19.1-1.el9_2.x86_64.rpm
npm-8.19.3-1.16.19.1.1.el9_2.x86_64.rpm
nodejs-full-i18n-16.19.1-1.el9_2.x86_64.rpm
nodejs-16.19.1-1.el9_2.x86_64.rpm
nodejs-16.19.1-1.el9_2.ppc64le.rpm
nodejs-libs-16.19.1-1.el9_2.ppc64le.rpm
nodejs-full-i18n-16.19.1-1.el9_2.ppc64le.rpm
npm-8.19.3-1.16.19.1.1.el9_2.ppc64le.rpm
nodejs-16.19.1-1.el9_2.s390x.rpm
npm-8.19.3-1.16.19.1.1.el9_2.s390x.rpm
nodejs-full-i18n-16.19.1-1.el9_2.s390x.rpm
nodejs-libs-16.19.1-1.el9_2.s390x.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:2655 Moderate: nodejs and nodejs-nodemon security, bug fix, and enhancement update